IP Whitelist
curl --request POST \
--url https://spark.test.woodcore.co/api/v2/gateway/apiKeys/ipwhitelist \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ips": "136.144.17.156"
}
'import requests
url = "https://spark.test.woodcore.co/api/v2/gateway/apiKeys/ipwhitelist"
payload = { "ips": "136.144.17.156" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ips: '136.144.17.156'})
};
fetch('https://spark.test.woodcore.co/api/v2/gateway/apiKeys/ipwhitelist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Security API Reference
Create IP Whitelist
This endpoint is responsible for whitelisting an IP address which is to be attached to a particular API KEY.
POST
/
gateway
/
apiKeys
/
ipwhitelist
IP Whitelist
This endpoint is responsible for whitelisting an IP address which is to be attached to a particular API KEY. This adds an extra layer of security by ensuring that API calls can only be made from approved IP addresses.
The IP address must be approved using the OTP sent to the user’s email address before it becomes active.
⌘I